#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#ifdef WIN32
#include <windows.h>
#endif
#include <math.h>
#include <GL/glut.h>

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

extern void load_sgi_texture ( char *fname ) ;
extern void draw_ac3d_model  ( void (*func)(char *) ) ;

static void displayfn (void)
{
  /* Clear the screen */

  glClearColor ( 0.0, 0.4, 0.0, 1.0 ) ;
  glClear      ( GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT ) ;
  glMatrixMode ( GL_PROJECTION ) ;
  glLoadIdentity () ;
  gluPerspective ( 60.0f, 1, 1, 1000 ) ;
  glMatrixMode ( GL_MODELVIEW ) ;
  glLoadIdentity () ;
  glEnable  ( GL_LIGHT0 ) ;
  glEnable ( GL_DEPTH_TEST ) ;

  static float p = 0.0f ;

  p += 4.0f ;

  glTranslatef ( 0, 0, -3 ) ;
  glRotatef( p, 15.0, 10.0 , 5.0 );

  draw_ac3d_model ( load_sgi_texture ) ;

  glutSwapBuffers   () ;
  glutPostRedisplay () ;
}

static void keyfn ( unsigned char, int, int )
{
  exit ( 0 ) ;
}

int main ( int argc, char **argv )
{
  glutInitWindowPosition(   0,   0 ) ;
  glutInitWindowSize    ( 640, 480 ) ;
  glutInit              ( &argc, argv ) ;
  glutInitDisplayMode   ( GLUT_RGB | GLUT_DOUBLE | GLUT_DEPTH ) ;
  glutCreateWindow      ( "ac_to_gl Test Harness"  ) ;
  glutDisplayFunc       ( displayfn ) ;
  glutKeyboardFunc      ( keyfn ) ;
  glutMainLoop () ;
  return 0 ;
}


